Bug 595802 - During a server upgrade process, changes made on the agent are lost.
During a server upgrade process, changes made on the agent are lost.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.0
All All
medium Severity high (vote)
: ---
: ---
Assigned To: Deon Ballard
Corey Welton
:
Depends On:
Blocks: 573732 jon24-docs jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-05-25 12:12 EDT by Heiko W. Rupp
Modified: 2010-08-12 12:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-05-25 12:12:40 EDT
Take a 1.3 RHQ server and upgrade to 3.0

Remote comm services show exceptions:

2010-05-25 16:26:53,627 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[localhost].[/jboss-remoting-servlet-invoker].[ServerInvokerServlet]] Servlet.service() for servlet ServerInvokerServlet threw exception
java.io.InvalidClassException: org.rhq.core.domain.configuration.Configuration; Serializable incompatible with Externalizable


and 
java.io.InvalidClassException: org.rhq.core.domain.measurement.MeasurementReport; Serializable incompatible with Externalizable
Comment 1 Greg Hinkle 2010-05-25 12:29:31 EDT
This is an expected error. The serial compatibility of many of the domain objects as been broken. The agent, once it is upgrade, is supposed to detect that the .dat file is no good and start up clean.
Comment 2 Heiko W. Rupp 2010-05-25 13:32:30 EDT
See log file of https://bugzilla.redhat.com/show_bug.cgi?id=595727



About comment #1: this means that users will loose all measurement data and config changes since shutting down the old server and having started the new one. We need to highlight this in the release notes.
Comment 3 Charles Crouch 2010-05-26 09:53:31 EDT
Ok, this is reasonable and just needs to be documentated
Comment 4 Heiko W. Rupp 2010-05-26 10:30:38 EDT
Assigning to Deon for documentation purposes.

Deon, please ping me for input.
Comment 5 Deon Ballard 2010-06-22 11:54:59 EDT
This is in the release notes as a known issue for upgrade/install:
http://www.redhat.com/docs/en-US/JBoss_ON/2.4/rel-notes/html/Known-Issues-with-this-release.html#upgrade-install-issues

I also have a warning note alluding to the monitoring data loss in the upgrade section of the install guide:
http://www.redhat.com/docs/en-US/JBoss_ON/2.4/install/html/upgrading.html

Changing to ON_QA.
Comment 6 John Mazzitelli 2010-07-19 09:43:42 EDT
BTW: this has always been documented on our community wiki page here in the yellow box:

http://rhq-project.org/display/JOPR2/Upgrading+the+Server

"Loss of Data
Loss of minimal monitoring data is inevitable given the down-time involved in shutting down instances of the RHQ Agents during the upgrade process. In addition, if you have a resource in inventory corresponding to the RHQ Server itself, upgrading RHQ will entail the loss of all monitoring data for that resource."
Comment 7 Corey Welton 2010-07-19 14:50:07 EDT
QA Verified these changes.
Comment 8 Corey Welton 2010-08-12 12:48:45 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.